const config = {
  root: true
, env: {
    es6: true
  , node: true
  , jest: true
  }
, globals: {
    document: false
  , navigator: false
  , window: false
  }
, parser: 'babel-eslint'
, parserOptions: {
    ecmaVersion: 8
  , sourceType: 'module'
  , ecmaFeatures: {
      experimentalObjectRestSpread: true
    , generators: true
    , jsx: true
    }
  }
, extends: [
    'plugin:flowtype/recommended'
  , 'plugin:react/recommended'
  , 'plugin:security/recommended'
  , 'airbnb'
  , 'standard'
  , 'prettier'
  , 'prettier/flowtype'
  , 'prettier/react'
  ]
, plugins: [
    'flowtype'
  , 'import'
  , 'immutable'
  , 'jsx-a11y'
  , 'node'
  , 'promise'
  , 'prettier'
  , 'react'
  , 'security'
  , 'standard'
  ]
, settings: {
   'import/resolver': { node: { extensions: ['.js', '.json'] } }
  }
, rules: {
    'curly': ['warn', 'multi-line']
  , "max-len": 'warn
  , "no-confusing-arrow": 'warn
  , "no-mixed-operators": 'warn
  , "no-tabs": 'warn
  , 'quotes': ['warn', 'single', {avoidEscape: true, allowTemplateLiterals: true}]
  , 'no-param-reassign': 'warn'
  , 'no-undef': 'warn'
  , 'no-var': 'warn'
  , "immutable/no-let": 2
  , "immutable/no-this": 2
  , "immutable/no-mutation": 2
  , 'node/no-deprecated-api': 'warn'
  , "node/no-unsupported-features": ["error", { version: 8, ignores: [] }]
  , 'promise/param-names': 'warn'
  , "prettier/prettier": ["warn", {"singleQuote": true, "trailingComma": "all"}]
  }
}

module.exports = config
